
///    (Brenkman Andrey)
///    26.05.2012
///    40%

#ifndef HASH_MOVES_H
#define HASH_MOVES_H

#include "gcc-compat.h"

///       
struct Hash_moves 
{

	///    (  high 32 bits)
	///    64   - (high 32 bits)
	uint32_t key_lock_32_move;

	///      T_list_surplus_moves
	///         32  
	int32_t move; 

	///       
	uint8_t move_delta_depth;

	///   .        
	uint8_t move_age;


	///     ()    ()

	///    (  high 32 bits)
	///    64   - (high 32 bits)
	uint32_t key_lock_32_score;

	/// 
	///       16   
	int32_t score;

	///   (1-  (); 3-  (); 2-  ())
	uint8_t flag_hash_score;

	///       
	uint8_t score_delta_depth;

	///   .        
	uint8_t score_age;

};

#endif // !defined HASH_MOVES_H