
///    (Brenkman Andrey)
///   18.08.2011
///    90%


#include "gcc-compat.h"

/// 
namespace HASH_CONSTANTS
{
//     ..     
//       
//       ..    

	const uint8_t EXACT = 1; //  

	const uint8_t ALPHA_UPDATED = 2; //:  > alpha
	const uint8_t BETA_CUTOFF = 3; // :  >= beta
	const uint8_t LOCAL_MAX = 4; // :  <= alpha < beta

	const uint8_t BETA_UPDATED = 5; //:  < beta
	const uint8_t ALPHA_CUTOFF = 6; //:  <= alpha
	const uint8_t LOCAL_MIN = 7; // :  >= beta   > alpha
}

using namespace HASH_CONSTANTS;


///   
namespace LIST_NAME_PIECE_CONSTANTS
{
	const uint8_t N_KING = 6;   /// 
	const uint8_t N_QUEEN = 5;  /// 
	const uint8_t N_ROOK = 4;   /// 
	const uint8_t N_BISHOP = 3; /// 
	const uint8_t N_KNIGHT = 2; /// 
	const uint8_t N_PAWN = 1;   /// 
}

using namespace LIST_NAME_PIECE_CONSTANTS;

///   
namespace POSITION_CONSTANTS_BOARD_SQUARES
{
	const uint8_t A8=56, B8=57, C8=58, D8=59, E8=60, F8=61, G8=62, H8=63;
	const uint8_t A7=48, B7=49, C7=50, D7=51, E7=52, F7=53, G7=54, H7=55;
	const uint8_t A6=40, B6=41, C6=42, D6=43, E6=44, F6=45, G6=46, H6=47;
	const uint8_t A5=32, B5=33, C5=34, D5=35, E5=36, F5=37, G5=38, H5=39;
	const uint8_t A4=24, B4=25, C4=26, D4=27, E4=28, F4=29, G4=30, H4=31;
	const uint8_t A3=16, B3=17, C3=18, D3=19, E3=20, F3=21, G3=22, H3=23;
	const uint8_t A2=8,  B2=9,  C2=10, D2=11, E2=12, F2=13, G2=14, H2=15;
	const uint8_t A1=0,  B1=1,  C1=2,  D1=3,  E1=4,  F1=5,  G1=6,  H1=7;
}

using namespace POSITION_CONSTANTS_BOARD_SQUARES;

